Can someone help me decide?

Discussion in 'NDS - Console and Game Discussions' started by chris888222, Sep 28, 2011.

  1. chris888222
    OP

    chris888222 GBAtemp's Flygon Fan

    Member
    5,532
    586
    Oct 11, 2010
    Senegal
    I have a DSi XL at V1.4.2 and a R4i King LL (yeah horrible clone I know). I want to sell this bundle to my friend and he agrees.

    Now that 4 swords is out, I don't know whether I should update and download it or not. If I do, that cart will be blocked (DUH!!) and this horrible shitty clone has no more support. If I don't, you know, my LL will feel being so left out. I'm selling to my friend at a pretty high price, and I don't really wish him to distrust me.

    Yeah, I have four swords on my 3DS as well.

    Do you think I should update? And before you ask why get such a shitty clone in the first place, it is a gift from my Aussie cousin.

    Thanks in advance.

    Mods if you think that this post is in the wrong section please move it accordingly. Thanks.
     
  2. insidexdeath

    insidexdeath .

    Member
    1,116
    445
    Apr 13, 2010
    I'd stick with 1.4.2 to be honest, because it's 1 game VS ALL of the ones in your Micro SD.
     
  3. emigre

    emigre Has complex motives

    Member
    7,973
    11,495
    Jan 28, 2009
    London
    Give it to him and tell him the details. AS long he is of average intellect he will understand and hence be able to make his own decision.